Last Comment Bug 532170 - LDAP address book named with cyrillic/chinese letters doesn't work
: LDAP address book named with cyrillic/chinese letters doesn't work
Status: VERIFIED FIXED
: fixed-seamonkey2.0.3, regression
Product: MailNews Core
Classification: Components
Component: LDAP Integration (show other bugs)
: 1.9.1 Branch
: All Windows XP
: -- normal (vote)
: Thunderbird 3.1a1
Assigned To: Mark Banner (:standard8, limited time in Dec)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 12:15 PST by Alexander L. Slovesnik
Modified: 2010-10-19 10:35 PDT (History)
7 users (show)
standard8: blocking‑thunderbird3-
standard8: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.1+
.1-fixed


Attachments
Part of prefs.js from Thunderbird 3.0 (bug is present) (467 bytes, text/plain)
2009-12-01 12:15 PST, Alexander L. Slovesnik
no flags Details
Part of prefs.js from Thunderbird 2.0 (bug is not present) (1.04 KB, text/plain)
2009-12-01 12:16 PST, Alexander L. Slovesnik
no flags Details
LDAP log (813 bytes, text/plain)
2009-12-03 12:29 PST, Alexander L. Slovesnik
no flags Details
The fix (2.48 KB, patch)
2010-01-06 07:14 PST, Mark Banner (:standard8, limited time in Dec)
mozilla: review+
mozilla: superreview+
Details | Diff | Splinter Review
The fix v2 (2.60 KB, patch)
2010-01-06 13:52 PST, Mark Banner (:standard8, limited time in Dec)
standard8: review+
standard8: superreview+
standard8: approval‑thunderbird3.0.1+
Details | Diff | Splinter Review

Description Alexander L. Slovesnik 2009-12-01 12:15:37 PST
Created attachment 415452 [details]
Part of prefs.js from Thunderbird 3.0 (bug is present)

STR:
1. Create LDAP address book and enter cyrillic letters in "Name" field
2. Try to search something in LDAP address book

Actual results:
Nothing found  

Actual results:
Some e-mail addresses are found  

This error doesn't present in Thunderbird 2.0
Comment 1 Alexander L. Slovesnik 2009-12-01 12:16:33 PST
Created attachment 415453 [details]
Part of prefs.js from Thunderbird 2.0 (bug is not present)
Comment 2 Nikolay Shopik 2009-12-01 12:21:13 PST
Works for me just fine on
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5) Gecko/20091121 Thunderbird/3.0.
What your LDAP server is? Could you get ldap log?
https://wiki.mozilla.org/MailNews:Logging
Comment 3 Alexander L. Slovesnik 2009-12-01 12:32:51 PST
(In reply to comment #2)
> Works for me just fine on
> Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5) Gecko/20091121
> Thunderbird/3.0.
> What your LDAP server is? Could you get ldap log?
> https://wiki.mozilla.org/MailNews:Logging
Can you test Russian version of Thunderbird 3.0? I'll get to LDAP server on work only tomorrow.
Comment 4 Nikolay Shopik 2009-12-01 14:42:56 PST
No problem here too
Mozilla/5.0 (Windows; U; Windows NT 6.1; ru; rv:1.9.1.5) Gecko/20091121 Thunderbird/3.0
Comment 5 Alexander L. Slovesnik 2009-12-02 11:27:32 PST
Screencast, showing bug, is available for download at http://ragnaar.com/projects/thunderbird_ldap.avi
Chinese letters also cause problem. FWIW there is no problem on Mac OS X, looks like it's windows-only. I didn't test Linux, though.
Comment 6 Dan Mosedale (:dmose) 2009-12-02 11:32:53 PST
We can't block on this unless we can figure out reliable steps to reproduce this, or at least get a better feel for what's going on here.  An LDAP log might help.  Adding qawanted flag and a few CCs in the hopes of getting more folks to try to reproduce.
Comment 7 Nikolay Shopik 2009-12-02 13:07:09 PST
(In reply to comment #5)
> Screencast, showing bug, is available for download at
> http://ragnaar.com/projects/thunderbird_ldap.avi
> Chinese letters also cause problem. FWIW there is no problem on Mac OS X, looks
> like it's windows-only. I didn't test Linux, though.

ALexander,
Please provide ldap log I've asked for because I can't reproduce it on Windows XP or Windows 7 with Active Directory LDAP.
Comment 8 Alexander L. Slovesnik 2009-12-03 10:17:27 PST
(In reply to comment #7)
> ALexander,
> Please provide ldap log I've asked for because I can't reproduce it on Windows
> XP or Windows 7 with Active Directory LDAP.
LDAP log - http://ragnaar.com/projects/ldap.log
Screencast of logging queries - http://ragnaar.com/projects/tb_loging.avi
Comment 9 Nikolay Shopik 2009-12-03 12:18:11 PST
Now I see it. Misunderstood steps to reproduce. Basically when you create new ldap address book using non ASCI symbols it won't work. It will not even try to connect to ldap server. Maybe something changed in LDAP sdk since TB 2.0.

Alexander no need to use external web servers you could attach all logs to this bug.
Comment 10 Dan Mosedale (:dmose) 2009-12-03 12:21:09 PST
Those pref file segments Alexander attached make me extremely suspicious that this is a front-end bug.  Nominating for blocking, as I suspect this requires a re-spin...
Comment 11 Dan Mosedale (:dmose) 2009-12-03 12:27:56 PST
It would be very interested to know when this regression crept in.  Anyone up for doing a binary search on the nightlies?
Comment 12 Alexander L. Slovesnik 2009-12-03 12:29:13 PST
Created attachment 415926 [details]
LDAP log

(In reply to comment #9)
> Alexander no need to use external web servers you could attach all logs to this
> bug.
Done.
Comment 13 Alexander L. Slovesnik 2009-12-03 12:45:49 PST
I wonder, is it regression from Bug 419595...
Comment 14 Nikolay Shopik 2009-12-03 12:50:32 PST
(In reply to comment #11)
> It would be very interested to know when this regression crept in.  Anyone up
> for doing a binary search on the nightlies?

Doing now, TB3 alpha 1 works, TB3 alpha 2 not works. Will come back with more results from nightly
Comment 18 Mark Banner (:standard8, limited time in Dec) 2009-12-03 14:44:27 PST
Not going to be blocking TB 3.0 on this, as we expect this is an infrequent action but we'll find a solution before 3.0.1.

I'm taking this bug as I'm fairly sure I know where the real bug lies, although I don't quite know what exposed it.
Comment 19 Mark Banner (:standard8, limited time in Dec) 2010-01-06 07:14:42 PST
Created attachment 420322 [details] [diff] [review]
The fix

I had to do a build in windows non-debug build to reproduce and fix this. The debug version gave assertions but ended up doing "the right thing" (typical windows debug builds :-( ).

I'd like a better test than checking the dirPrefId, but I think that actually requires doing a search to some extent. However I think the checks will be enough to make sure that we don't regress creation at least.
Comment 20 David :Bienvenu 2010-01-06 08:46:08 PST
Comment on attachment 420322 [details] [diff] [review]
The fix

can you wrap this line:

+  var abUri = abManager.newAddressBook("\u041C\u0435\u043B\u0435\u043D\u043A\u0438", kLDAPTestSpec, kLDAPDirectory);

oh, and remove the extra space before the last )

IS_ALPHA(descr[srcIndex]) )
Comment 21 Mark Banner (:standard8, limited time in Dec) 2010-01-06 13:52:35 PST
Created attachment 420406 [details] [diff] [review]
The fix v2

This is what I actually checked in.
Comment 22 Mark Banner (:standard8, limited time in Dec) 2010-01-08 05:54:33 PST
Comment on attachment 420406 [details] [diff] [review]
The fix v2

a=Standard8 (low-risk, contained patch also covered by unit tests).
Comment 23 Mark Banner (:standard8, limited time in Dec) 2010-01-08 06:21:41 PST
Checked in: http://hg.mozilla.org/releases/comm-1.9.1/rev/35383a07b7fb
Comment 24 Ludovic Hirlimann [:Usul] 2010-01-12 04:55:56 PST
Nikolay can you verify this one with a 3.0.1 build and mark it Verified and add the verifed-thunderbird3.0 keywork please ?
Comment 25 Nikolay Shopik 2010-01-12 09:11:21 PST
Looks good
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.7) Gecko/20100111 Shredder/3.0.1pre

Note You need to log in before you can comment on or make changes to this bug.